Bug 835397 - [Origin]Unable to embed postgresql-8.4 to applications on multi-node open-source PaaS
[Origin]Unable to embed postgresql-8.4 to applications on multi-node open-sou...
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 02:30 EDT by Jianwei Hou
Modified: 2015-05-14 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 11:59:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2012-06-26 02:30:21 EDT
Description of problem:
unable to embed postgresql-8.4 to an application.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Following http://www.krishnaraman.net/multi-node-openshift-origin-from-scratch/ to setup your own multi-node open-source PaaS.
2.create an application
3.embed postgresql-8.4 to the created application

  
Actual results:
Problem reported from server. Response code was 500.
Re-run with -d for more information.

RESULT:
Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support

Expected results:
postgresql-8.4 should be embedded to application successfully

Additional info:
[root@broker log]# rpm -qa|grep cartridge
cartridge-jenkins-client-1.4-0.28.2-1.git.0.26686f7.fc16.noarch
cartridge-ruby-1.8-0.94.3-1.git.32.ac5acb0.fc16.noarch
cartridge-postgresql-8.4-0.10.2-1.git.0.c3d0e33.fc16.noarch
cartridge-10gen-mms-agent-0.1-1.11.2-1.git.0.11e55bb.fc16.noarch
cartridge-mongodb-2.0-0.21.5-1.git.13.1eba685.fc16.noarch
cartridge-php-5.3-0.94.4-1.git.0.8b19dd3.fc16.noarch
cartridge-mysql-5.1-0.28.6-1.git.14.1eba685.fc16.noarch
cartridge-python-2.6-0.94.3-1.git.0.4a4e24f.fc16.noarch
cartridge-cron-1.4-0.8.1-1.git.0.7d73ce1.fc16.noarch
cartridge-perl-5.10-0.25.3-1.git.0.022d904.fc16.noarch
cartridge-haproxy-1.4-0.11.7-1.git.0.2239107.fc16.noarch
cartridge-diy-0.1-0.28.2-1.git.0.44abe42.fc16.noarch
cartridge-phpmyadmin-3.4-0.15.3-1.git.0.8654121.fc16.noarch
cartridge-nodejs-0.6-0.9.2-1.git.0.b9d5638.fc16.noarch

log infos:
/var/www/stickshift/broker/log/development.log:
Started POST "/broker/embed_cartridge" for 10.66.9.65 at Tue Jun 26 10:11:20 -0400 2012
  Processing by LegacyBrokerController#embed_cartridge_post as 
  Parameters: {"json_data"=>"{\"app_name\":\"rb\",\"cartridge\":\"postgresql-8.4\",\"api\":\"1.1.3\",\"rhlogin\":\"admin\",\"action\":\"configure\"}", "password"=>"[FILTERED]"}
MongoDataStore.find(CloudUser, admin, admin)

DEBUG: Performing action 'configure'
DEBUG: Adding embedded app info from persistant storage: rb:postgresql-8.4
Auto-merging group @@app/cart-postgresql-8.4/group-postgresql into @@app/cart-mongodb-2.0/group-singlenode
Configure order is ["@@app/cart-postgresql-8.4/comp-postgresql-server", "@@app/cart-ruby-1.8", "@@app/cart-mongodb-2.0/comp-mongod-process", "@@app"]
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7f1b4e36b940>
DEBUG: rpc_client.custom_request('cartridge_do', {:action=>"configure", :cartridge=>"embedded/postgresql-8.4", :args=>"'rb' 'jhou' '70544b04c90546fc869075355c56789a'"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7f1b4e212fd0 @results={:data=>{:output=>"psql: could not connect to server: Connection refused\n\tIs the server running on host \"127.0.250.1\" and accepting\n\tTCP/IP connections on port 5432?\nFailed to create database user 70544b04c90546fc869075355c56789a\n", :exitcode=>124}, :statusmsg=>"cartridge_do_action failed 124.  Output psql: could not connect to server: Connection refused\n\tIs the server running on host \"127.0.250.1\" and accepting\n\tTCP/IP connections on port 5432?\nFailed to create database user 70544b04c90546fc869075355c56789a\n", :sender=>"broker.example.com", :statuscode=>1}, @action="cartridge_do", @agent="stickshift">]
DEBUG: server results: psql: could not connect to server: Connection refused
DEBUG: server results: 	Is the server running on host "127.0.250.1" and accepting
DEBUG: server results: 	TCP/IP connections on port 5432?
DEBUG: server results: Failed to create database user 70544b04c90546fc869075355c56789a
DEBUG: Cartridge command embedded/postgresql-8.4::configure exitcode = 124
DEBUG: Failed to embed 'postgresql-8.4' in 'rb' for user 'admin'
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7f1b4e1eea40>
DEBUG: rpc_client.custom_request('cartridge_do', {:action=>"deconfigure", :cartridge=>"embedded/postgresql-8.4", :args=>"'rb' 'jhou' '70544b04c90546fc869075355c56789a'"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7f1b4e130f18 @results={:data=>{:output=>"PostgreSQL server instance already stopped\n", :exitcode=>0}, :statusmsg=>"OK", :sender=>"broker.example.com", :statuscode=>0}, @action="cartridge_do", @agent="stickshift">]
DEBUG: Cartridge command embedded/postgresql-8.4::deconfigure exitcode = 0
Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support.
#<StickShift::NodeException: Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support.>
["/usr/lib/ruby/gems/1.8/gems/gearchanger-mcollective-plugin-0.0.1/lib/gearchanger-mcollective-plugin/gearchanger/mcollective_application_container_proxy.rb:1643:in `run_cartridge_command'", "/usr/lib/ruby/gems/1.8/gems/gearchanger-mcollective-plugin-0.0.1/lib/gearchanger-mcollective-plugin/gearchanger/mcollective_application_container_proxy.rb:1422:in `add_component'", "/usr/lib/ruby/gems/1.8/gems/gearchanger-mcollective-plugin-0.0.1/lib/gearchanger-mcollective-plugin/gearchanger/mcollective_application_container_proxy.rb:221:in `configure_cartridge'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/gear.rb:56:in `configure'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:451:in `configure_dependencies'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:1496:in `call'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:1496:in `run_on_gears'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:1494:in `each'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:1494:in `run_on_gears'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:446:in `configure_dependencies'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:440:in `each'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:440:in `configure_dependencies'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:1086:in `add_dependency'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/controllers/legacy_broker_controller.rb:331:in `embed_cartridge_post'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/implicit_render.rb:4:in `send_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/implicit_render.rb:4:in `send_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/abstract_controller/base.rb:150:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/rendering.rb:11:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/abstract_controller/callbacks.rb:18:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:446:in `_run__1212732179__process_action__140958645__callbacks'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:410:in `send'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:410:in `_run_process_action_callbacks'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:94:in `send'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:94:in `run_callbacks'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/abstract_controller/callbacks.rb:17:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/rescue.rb:17:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/instrumentation.rb:30:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/notifications.rb:52:in `instrument'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/notifications/instrumenter.rb:21:in `instrument'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/notifications.rb:52:in `instrument'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/instrumentation.rb:29:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/abstract_controller/base.rb:119:in `process'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/abstract_controller/rendering.rb:41:in `process'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal.rb:138:in `dispatch'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal.rb:178:in `action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/routing/route_set.rb:68:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/routing/route_set.rb:68:in `dispatch'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/routing/route_set.rb:33:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:150:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:93:in `recognize'", "/usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:68:in `optimized_each'", "/usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:92:in `recognize'", "/usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:141:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/routing/route_set.rb:499:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/head.rb:14:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/methodoverride.rb:24:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/params_parser.rb:21:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/flash.rb:182:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/session/abstract_store.rb:149:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/cookies.rb:302:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/callbacks.rb:46:in `call'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:416:in `_run_call_callbacks'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/callbacks.rb:44:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/sendfile.rb:102:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/remote_ip.rb:48:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/show_exceptions.rb:47:in `call'", "/usr/lib/ruby/gems/1.8/gems/railties-3.0.13/lib/rails/rack/logger.rb:13:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/runtime.rb:17:in `call'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/cache/strategy/local_cache.rb:72:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/lock.rb:34:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/static.rb:30:in `call'", "/usr/lib/ruby/gems/1.8/gems/railties-3.0.13/lib/rails/application.rb:168:in `call'", "/usr/lib/ruby/gems/1.8/gems/railties-3.0.13/lib/rails/application.rb:77:in `send'", "/usr/lib/ruby/gems/1.8/gems/railties-3.0.13/lib/rails/application.rb:77:in `method_missing'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:206:in `start_request_handler'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:171:in `send'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:171:in `handle_spawn_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/utils.rb:479:in `safe_fork'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:166:in `handle_spawn_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `__send__'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:180:in `start'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:129:in `start'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:253:in `spawn_rack_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:246:in `spawn_rack_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:244:in `spawn_rack_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:137:in `spawn_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `__send__'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/helper-scripts/passenger-spawn-server:99"]
exceptionNode execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support.successfulfailedexceptionNode execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support.gear#<Gear:0x7f1b4e05ab48>
["/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:1507:in `run_on_gears'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:1494:in `each'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:1494:in `run_on_gears'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:446:in `configure_dependencies'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:440:in `each'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:440:in `configure_dependencies'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:1086:in `add_dependency'", "/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/controllers/legacy_broker_controller.rb:331:in `embed_cartridge_post'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/implicit_render.rb:4:in `send_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/implicit_render.rb:4:in `send_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/abstract_controller/base.rb:150:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/rendering.rb:11:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/abstract_controller/callbacks.rb:18:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:446:in `_run__1212732179__process_action__140958645__callbacks'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:410:in `send'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:410:in `_run_process_action_callbacks'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:94:in `send'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:94:in `run_callbacks'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/abstract_controller/callbacks.rb:17:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/rescue.rb:17:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/instrumentation.rb:30:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/notifications.rb:52:in `instrument'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/notifications/instrumenter.rb:21:in `instrument'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/notifications.rb:52:in `instrument'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/instrumentation.rb:29:in `process_action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/abstract_controller/base.rb:119:in `process'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/abstract_controller/rendering.rb:41:in `process'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal.rb:138:in `dispatch'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_controller/metal.rb:178:in `action'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/routing/route_set.rb:68:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/routing/route_set.rb:68:in `dispatch'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/routing/route_set.rb:33:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:150:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:93:in `recognize'", "/usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:68:in `optimized_each'", "/usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:92:in `recognize'", "/usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:141:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/routing/route_set.rb:499:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/head.rb:14:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/methodoverride.rb:24:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/params_parser.rb:21:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/flash.rb:182:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/session/abstract_store.rb:149:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/cookies.rb:302:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/callbacks.rb:46:in `call'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/callbacks.rb:416:in `_run_call_callbacks'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/callbacks.rb:44:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/sendfile.rb:102:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/remote_ip.rb:48:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/show_exceptions.rb:47:in `call'", "/usr/lib/ruby/gems/1.8/gems/railties-3.0.13/lib/rails/rack/logger.rb:13:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/runtime.rb:17:in `call'", "/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.13/lib/active_support/cache/strategy/local_cache.rb:72:in `call'", "/usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/lock.rb:34:in `call'", "/usr/lib/ruby/gems/1.8/gems/actionpack-3.0.13/lib/action_dispatch/middleware/static.rb:30:in `call'", "/usr/lib/ruby/gems/1.8/gems/railties-3.0.13/lib/rails/application.rb:168:in `call'", "/usr/lib/ruby/gems/1.8/gems/railties-3.0.13/lib/rails/application.rb:77:in `send'", "/usr/lib/ruby/gems/1.8/gems/railties-3.0.13/lib/rails/application.rb:77:in `method_missing'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:206:in `start_request_handler'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:171:in `send'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:171:in `handle_spawn_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/utils.rb:479:in `safe_fork'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:166:in `handle_spawn_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `__send__'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:180:in `start'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/rack/application_spawner.rb:129:in `start'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:253:in `spawn_rack_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:246:in `spawn_rack_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:244:in `spawn_rack_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:137:in `spawn_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `__send__'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'", "/usr/lib/ruby/gems/1.8/gems/passenger-3.0.12/helper-scripts/passenger-spawn-server:99"]
DEBUG: Deconfiguring embedded application 'postgresql-8.4' in application 'rb' on node 'broker.example.com'
DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7f1b4e109580>
DEBUG: rpc_client.custom_request('cartridge_do', {:action=>"deconfigure", :cartridge=>"embedded/postgresql-8.4", :args=>"'rb' 'jhou' '70544b04c90546fc869075355c56789a'"}, @id, {'identity' => @id})
DEBUG: [#<MCollective::RPC::Result:0x7f1b4e401b70 @results={:data=>{:output=>"runcon: /var/lib/stickshift/70544b04c90546fc869075355c56789a//postgresql-8.4/rb_postgresql_ctl.sh: No such file or directory\n", :exitcode=>0}, :statusmsg=>"OK", :sender=>"broker.example.com", :statuscode=>0}, @action="cartridge_do", @agent="stickshift">]
DEBUG: Cartridge command embedded/postgresql-8.4::deconfigure exitcode = 0
MongoDataStore.save(Application, admin, rb, #hidden)

MongoDataStore.save(Application, admin, rb, #hidden)

[REQ_ID=bf135061dabb4234b4ce6b5af100b655] ACTION=LEGACY_BROKER StickShift::NodeException for /broker/embed_cartridge: Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support.
/usr/lib/ruby/gems/1.8/gems/gearchanger-mcollective-plugin-0.0.1/lib/gearchanger-mcollective-plugin/gearchanger/mcollective_application_container_proxy.rb:1643:in `run_cartridge_command'
/usr/lib/ruby/gems/1.8/gems/gearchanger-mcollective-plugin-0.0.1/lib/gearchanger-mcollective-plugin/gearchanger/mcollective_application_container_proxy.rb:1422:in `add_component'
/usr/lib/ruby/gems/1.8/gems/gearchanger-mcollective-plugin-0.0.1/lib/gearchanger-mcollective-plugin/gearchanger/mcollective_application_container_proxy.rb:221:in `configure_cartridge'
/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/gear.rb:56:in `configure'
/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:451:in `configure_dependencies'
/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.12.11/lib/stickshift-controller/app/models/application.rb:1496:in `call'
--DEBUG--
psql: could not connect to server: Connection refused
	Is the server running on host "127.0.250.1" and accepting
	TCP/IP connections on port 5432?
Failed to create database user 70544b04c90546fc869075355c56789a
Cartridge return code: 124
--RESULT--

--MESSAGE--

--ERROR--

--APP INFO--

--CART COMMANDS--

--CART PROPERTIES--
{}
--DATA--

--EXIT CODE--
124
Completed 500 Internal Server Error in 15892ms (Views: 1.0ms)






/var/log/mcollective.log:
D, [2012-06-26T10:11:20.854654 #1245] DEBUG -- : qpid.rb:91:in `receive' Received message #<Cqpid::Message:0x7fe5f0e98fd0>
D, [2012-06-26T10:11:20.855824 #1245] DEBUG -- : qpid.rb:95:in `receive' Constructed mcolelctive messgae #<MCollective::Message:0x7fe5f0e988a0 @expected_msgid=nil, @requestid=nil, @collective=nil, @type=:message, @base64=false, @message=#<Cqpid::Message:0x7fe5f0e98fd0>, @payload="\004\b{\017:\tbody\"\001\276\004\b{\t:\tdata{\t:\vaction\"\016configure:\024process_resultsT:\016cartridge\"\034embedded/postgresql-8.4:\targs\"3'rb' 'jhou' '70544b04c90546fc869075355c56789a';\006\"\021cartridge_do:\nagent\"\017stickshift:\vcaller\"\vuid=48:\nagent\"\017stickshift:\016requestid\"%e13df7f386b28989b4b4eed4be493769:\thash\"%1dd8164eb90792e9a9b010673c71b207:\vfilter{\n\"\rcompound[\000\"\nagent[\006@\a\"\ridentity[\006\"\027broker.example.com\"\rcf_class[\000\"\tfact[\000:\rsenderid\"\027broker.example.com:\bttliA:\rcallerid\"\vuid=48:\017collective\"\020mcollective:\fmsgtimel+\a\b\303\351O", @agent=nil, @options={}, @reply_to=nil, @msgtime=0, @ttl=60, @filter={"fact"=>[], "identity"=>[], "agent"=>[], "compound"=>[], "cf_class"=>[]}, @discovered_hosts=nil, @validated=false, @headers={}>
D, [2012-06-26T10:11:20.856257 #1245] DEBUG -- : runnerstats.rb:49:in `received' Incrementing total stat
D, [2012-06-26T10:11:20.856454 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:20.856680 #1245] DEBUG -- : runnerstats.rb:38:in `validated' Incrementing validated stat
D, [2012-06-26T10:11:20.856864 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:20.857086 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:20.857357 #1245] DEBUG -- : base.rb:135:in `validate_filter?' Passing based on identity
D, [2012-06-26T10:11:20.857582 #1245] DEBUG -- : base.rb:110:in `validate_filter?' Passing based on agent stickshift
D, [2012-06-26T10:11:20.857784 #1245] DEBUG -- : base.rb:146:in `validate_filter?' Message passed the filter checks
D, [2012-06-26T10:11:20.857943 #1245] DEBUG -- : runnerstats.rb:26:in `passed' Incrementing passed stat
D, [2012-06-26T10:11:20.858123 #1245] DEBUG -- : runner.rb:77:in `agentmsg' Handling message for agent 'stickshift' on collective 'mcollective'
D, [2012-06-26T10:11:20.858300 #1245] DEBUG -- : agents.rb:130:in `dispatch' Dispatching a message to agent stickshift
D, [2012-06-26T10:11:20.858628 #1245] DEBUG -- : pluginmanager.rb:88:in `[]' Returning new plugin stickshift_agent with class MCollective::Agent::Stickshift
D, [2012-06-26T10:11:20.858769 #1245] DEBUG -- : qpid.rb:83:in `receive' Waiting for a message...
D, [2012-06-26T10:11:20.859392 #1245] DEBUG -- : ddl.rb:59:in `findddlfile' Found stickshift ddl at /usr/libexec/mcollective/mcollective/agent/stickshift.ddl
D, [2012-06-26T10:11:20.860898 #1245] DEBUG -- : agent.rb:64:in `initialize' Failed to load DDL for agent: RuntimeError: /usr/lib/ruby/site_ruby/1.8/mcollective/rpc/ddl.rb:131:in `input': Input type :string needs a :validation argument
D, [2012-06-26T10:11:20.864369 #1245] DEBUG -- : stickshift.rb:271:in `cartridge_do_action' cartridge_do_action call / request = #<MCollective::RPC::Request:0x7fe5f0e71a48
 @action="cartridge_do",
 @agent="stickshift",
 @caller="uid=48",
 @data=
  {:process_results=>true,
   :args=>"'rb' 'jhou' '70544b04c90546fc869075355c56789a'",
   :action=>"configure",
   :cartridge=>"embedded/postgresql-8.4"},
 @sender="broker.example.com",
 @time=1340719880,
 @uniqid="e13df7f386b28989b4b4eed4be493769">

D, [2012-06-26T10:11:20.864686 #1245] DEBUG -- : stickshift.rb:272:in `cartridge_do_action' cartridge_do_action validation = embedded/postgresql-8.4 configure 'rb' 'jhou' '70544b04c90546fc869075355c56789a'
D, [2012-06-26T10:11:32.150926 #1245] DEBUG -- : stickshift.rb:329:in `cartridge_do_action' cartridge_do_action ERROR (124)
------
psql: could not connect to server: Connection refused
	Is the server running on host "127.0.250.1" and accepting
	TCP/IP connections on port 5432?
Failed to create database user 70544b04c90546fc869075355c56789a

------)
D, [2012-06-26T10:11:32.152564 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:32.153276 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:32.153963 #1245] DEBUG -- : base.rb:161:in `create_reply' Encoded a message for request e13df7f386b28989b4b4eed4be493769
D, [2012-06-26T10:11:32.154693 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Qpid
D, [2012-06-26T10:11:32.155700 #1245] DEBUG -- : qpid.rb:105:in `publish' Publish #<MCollective::Message:0x7fe5f0e095d8 @request=#<MCollective::Message:0x7fe5f0e988a0 @expected_msgid=nil, @requestid="e13df7f386b28989b4b4eed4be493769", @collective="mcollective", @type=:request, @base64=false, @message=#<Cqpid::Message:0x7fe5f0e98fd0>, @payload={:collective=>"mcollective", :filter=>{"fact"=>[], "identity"=>["broker.example.com"], "agent"=>["stickshift"], "cf_class"=>[], "compound"=>[]}, :agent=>"stickshift", :body=>{:agent=>"stickshift", :data=>{:process_results=>true, :args=>"'rb' 'jhou' '70544b04c90546fc869075355c56789a'", :action=>"configure", :cartridge=>"embedded/postgresql-8.4"}, :action=>"cartridge_do", :caller=>"uid=48"}, :senderid=>"broker.example.com", :hash=>"1dd8164eb90792e9a9b010673c71b207", :callerid=>"uid=48", :requestid=>"e13df7f386b28989b4b4eed4be493769", :msgtime=>1340719880, :ttl=>60}, @agent="stickshift", @options={}, @reply_to=nil, @msgtime=1340719880, @ttl=60, @filter={"fact"=>[], "identity"=>["broker.example.com"], "agent"=>["stickshift"], "cf_class"=>[], "compound"=>[]}, @discovered_hosts=nil, @validated=true, @headers={}>, @expected_msgid=nil, @requestid="e13df7f386b28989b4b4eed4be493769", @collective="mcollective", @type=:reply, @base64=false, @message=nil, @payload="\004\b{\v:\tbody\"\002\016\002\004\b{\b:\017statuscodei\006:\016statusmsg\"\001\373cartridge_do_action failed 124.  Output psql: could not connect to server: Connection refused\n\tIs the server running on host \"127.0.250.1\" and accepting\n\tTCP/IP connections on port 5432?\nFailed to create database user 70544b04c90546fc869075355c56789a\n:\tdata{\a:\rexitcodei\001|:\voutput\"\001\323psql: could not connect to server: Connection refused\n\tIs the server running on host \"127.0.250.1\" and accepting\n\tTCP/IP connections on port 5432?\nFailed to create database user 70544b04c90546fc869075355c56789a\n:\rsenderid\"\027broker.example.com:\thash\"%f3204cf3103e3dcd50c52d926f00cfe1:\020senderagent\"\017stickshift:\016requestid\"%e13df7f386b28989b4b4eed4be493769:\fmsgtimel+\a\024\303\351O", @agent="stickshift", @options={}, @reply_to=nil, @msgtime=0, @ttl=60, @filter={"fact"=>[], "identity"=>[], "agent"=>[], "compound"=>[], "cf_class"=>[]}, @discovered_hosts=nil, @validated=false, @headers={}>
D, [2012-06-26T10:11:32.156419 #1245] DEBUG -- : qpid.rb:109:in `publish' in send with mcollective.stickshift.reply
D, [2012-06-26T10:11:32.157100 #1245] DEBUG -- : qpid.rb:110:in `publish' Sending a message to target 'mcollective.stickshift.reply'
D, [2012-06-26T10:11:32.158481 #1245] DEBUG -- : qpid.rb:117:in `publish' Message sent
D, [2012-06-26T10:11:32.159011 #1245] DEBUG -- : runnerstats.rb:56:in `sent' Incrementing replies stat
D, [2012-06-26T10:11:32.920484 #1245] DEBUG -- : qpid.rb:91:in `receive' Received message #<Cqpid::Message:0x7fe5f0df9818>
D, [2012-06-26T10:11:32.921657 #1245] DEBUG -- : qpid.rb:95:in `receive' Constructed mcolelctive messgae #<MCollective::Message:0x7fe5f0df8ee0 @expected_msgid=nil, @requestid=nil, @collective=nil, @type=:message, @base64=false, @message=#<Cqpid::Message:0x7fe5f0df9818>, @payload="\004\b{\017:\tbody\"\001\300\004\b{\t:\tdata{\t:\vaction\"\020deconfigure:\024process_resultsT:\016cartridge\"\034embedded/postgresql-8.4:\targs\"3'rb' 'jhou' '70544b04c90546fc869075355c56789a';\006\"\021cartridge_do:\nagent\"\017stickshift:\vcaller\"\vuid=48:\nagent\"\017stickshift:\016requestid\"%d96c445ed313e45c441ce3f635c153ea:\thash\"%776bbe0156b7e65d4d9f2728dcfc4be6:\vfilter{\n\"\rcompound[\000\"\nagent[\006@\a\"\ridentity[\006\"\027broker.example.com\"\rcf_class[\000\"\tfact[\000:\rsenderid\"\027broker.example.com:\bttliA:\rcallerid\"\vuid=48:\017collective\"\020mcollective:\fmsgtimel+\a\024\303\351O", @agent=nil, @options={}, @reply_to=nil, @msgtime=0, @ttl=60, @filter={"fact"=>[], "identity"=>[], "agent"=>[], "compound"=>[], "cf_class"=>[]}, @discovered_hosts=nil, @validated=false, @headers={}>
D, [2012-06-26T10:11:32.922557 #1245] DEBUG -- : runnerstats.rb:49:in `received' Incrementing total stat
D, [2012-06-26T10:11:32.922944 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:32.923396 #1245] DEBUG -- : runnerstats.rb:38:in `validated' Incrementing validated stat
D, [2012-06-26T10:11:32.923789 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:32.924323 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:32.924777 #1245] DEBUG -- : base.rb:135:in `validate_filter?' Passing based on identity
D, [2012-06-26T10:11:32.925236 #1245] DEBUG -- : base.rb:110:in `validate_filter?' Passing based on agent stickshift
D, [2012-06-26T10:11:32.925474 #1245] DEBUG -- : base.rb:146:in `validate_filter?' Message passed the filter checks
D, [2012-06-26T10:11:32.925704 #1245] DEBUG -- : runnerstats.rb:26:in `passed' Incrementing passed stat
D, [2012-06-26T10:11:32.925960 #1245] DEBUG -- : runner.rb:77:in `agentmsg' Handling message for agent 'stickshift' on collective 'mcollective'
D, [2012-06-26T10:11:32.926225 #1245] DEBUG -- : agents.rb:130:in `dispatch' Dispatching a message to agent stickshift
D, [2012-06-26T10:11:32.926622 #1245] DEBUG -- : pluginmanager.rb:88:in `[]' Returning new plugin stickshift_agent with class MCollective::Agent::Stickshift
D, [2012-06-26T10:11:32.926755 #1245] DEBUG -- : qpid.rb:83:in `receive' Waiting for a message...
D, [2012-06-26T10:11:32.927590 #1245] DEBUG -- : ddl.rb:59:in `findddlfile' Found stickshift ddl at /usr/libexec/mcollective/mcollective/agent/stickshift.ddl
D, [2012-06-26T10:11:32.930180 #1245] DEBUG -- : agent.rb:64:in `initialize' Failed to load DDL for agent: RuntimeError: /usr/lib/ruby/site_ruby/1.8/mcollective/rpc/ddl.rb:131:in `input': Input type :string needs a :validation argument
D, [2012-06-26T10:11:32.934853 #1245] DEBUG -- : stickshift.rb:271:in `cartridge_do_action' cartridge_do_action call / request = #<MCollective::RPC::Request:0x7fe5f0dc9a28
 @action="cartridge_do",
 @agent="stickshift",
 @caller="uid=48",
 @data=
  {:process_results=>true,
   :args=>"'rb' 'jhou' '70544b04c90546fc869075355c56789a'",
   :action=>"deconfigure",
   :cartridge=>"embedded/postgresql-8.4"},
 @sender="broker.example.com",
 @time=1340719892,
 @uniqid="d96c445ed313e45c441ce3f635c153ea">

D, [2012-06-26T10:11:32.935494 #1245] DEBUG -- : stickshift.rb:272:in `cartridge_do_action' cartridge_do_action validation = embedded/postgresql-8.4 deconfigure 'rb' 'jhou' '70544b04c90546fc869075355c56789a'
D, [2012-06-26T10:11:34.024798 #1245] DEBUG -- : stickshift.rb:327:in `cartridge_do_action' cartridge_do_action (0)
------
PostgreSQL server instance already stopped

------)
D, [2012-06-26T10:11:34.025944 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:34.026656 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:34.027311 #1245] DEBUG -- : base.rb:161:in `create_reply' Encoded a message for request d96c445ed313e45c441ce3f635c153ea
D, [2012-06-26T10:11:34.028143 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Qpid
D, [2012-06-26T10:11:34.029267 #1245] DEBUG -- : qpid.rb:105:in `publish' Publish #<MCollective::Message:0x7fe5f0da3b98 @request=#<MCollective::Message:0x7fe5f0df8ee0 @expected_msgid=nil, @requestid="d96c445ed313e45c441ce3f635c153ea", @collective="mcollective", @type=:request, @base64=false, @message=#<Cqpid::Message:0x7fe5f0df9818>, @payload={:collective=>"mcollective", :filter=>{"fact"=>[], "identity"=>["broker.example.com"], "agent"=>["stickshift"], "cf_class"=>[], "compound"=>[]}, :agent=>"stickshift", :body=>{:agent=>"stickshift", :data=>{:process_results=>true, :args=>"'rb' 'jhou' '70544b04c90546fc869075355c56789a'", :action=>"deconfigure", :cartridge=>"embedded/postgresql-8.4"}, :action=>"cartridge_do", :caller=>"uid=48"}, :senderid=>"broker.example.com", :hash=>"776bbe0156b7e65d4d9f2728dcfc4be6", :callerid=>"uid=48", :requestid=>"d96c445ed313e45c441ce3f635c153ea", :msgtime=>1340719892, :ttl=>60}, @agent="stickshift", @options={}, @reply_to=nil, @msgtime=1340719892, @ttl=60, @filter={"fact"=>[], "identity"=>["broker.example.com"], "agent"=>["stickshift"], "cf_class"=>[], "compound"=>[]}, @discovered_hosts=nil, @validated=true, @headers={}>, @expected_msgid=nil, @requestid="d96c445ed313e45c441ce3f635c153ea", @collective="mcollective", @type=:reply, @base64=false, @message=nil, @payload="\004\b{\v:\tbody\"o\004\b{\b:\017statuscodei\000:\016statusmsg\"\aOK:\tdata{\a:\rexitcodei\000:\voutput\"0PostgreSQL server instance already stopped\n:\rsenderid\"\027broker.example.com:\thash\"%6a0b28d22d9e9fcdb6347e5b17f89a12:\020senderagent\"\017stickshift:\016requestid\"%d96c445ed313e45c441ce3f635c153ea:\fmsgtimel+\a\026\303\351O", @agent="stickshift", @options={}, @reply_to=nil, @msgtime=0, @ttl=60, @filter={"fact"=>[], "identity"=>[], "agent"=>[], "compound"=>[], "cf_class"=>[]}, @discovered_hosts=nil, @validated=false, @headers={}>
D, [2012-06-26T10:11:34.030110 #1245] DEBUG -- : qpid.rb:109:in `publish' in send with mcollective.stickshift.reply
D, [2012-06-26T10:11:34.030541 #1245] DEBUG -- : qpid.rb:110:in `publish' Sending a message to target 'mcollective.stickshift.reply'
D, [2012-06-26T10:11:34.031643 #1245] DEBUG -- : qpid.rb:117:in `publish' Message sent
D, [2012-06-26T10:11:34.032477 #1245] DEBUG -- : runnerstats.rb:56:in `sent' Incrementing replies stat
D, [2012-06-26T10:11:34.931438 #1245] DEBUG -- : qpid.rb:91:in `receive' Received message #<Cqpid::Message:0x7fe5f0d7cf70>
D, [2012-06-26T10:11:34.932484 #1245] DEBUG -- : qpid.rb:95:in `receive' Constructed mcolelctive messgae #<MCollective::Message:0x7fe5f0d7c598 @expected_msgid=nil, @requestid=nil, @collective=nil, @type=:message, @base64=false, @message=#<Cqpid::Message:0x7fe5f0d7cf70>, @payload="\004\b{\017:\tbody\"\001\300\004\b{\t:\tdata{\t:\vaction\"\020deconfigure:\024process_resultsT:\016cartridge\"\034embedded/postgresql-8.4:\targs\"3'rb' 'jhou' '70544b04c90546fc869075355c56789a';\006\"\021cartridge_do:\nagent\"\017stickshift:\vcaller\"\vuid=48:\nagent\"\017stickshift:\016requestid\"%dde107376b15268334336806201b4ea4:\thash\"%776bbe0156b7e65d4d9f2728dcfc4be6:\vfilter{\n\"\rcompound[\000\"\nagent[\006@\a\"\ridentity[\006\"\027broker.example.com\"\rcf_class[\000\"\tfact[\000:\rsenderid\"\027broker.example.com:\bttliA:\rcallerid\"\vuid=48:\017collective\"\020mcollective:\fmsgtimel+\a\026\303\351O", @agent=nil, @options={}, @reply_to=nil, @msgtime=0, @ttl=60, @filter={"fact"=>[], "identity"=>[], "agent"=>[], "compound"=>[], "cf_class"=>[]}, @discovered_hosts=nil, @validated=false, @headers={}>
D, [2012-06-26T10:11:34.933283 #1245] DEBUG -- : runnerstats.rb:49:in `received' Incrementing total stat
D, [2012-06-26T10:11:34.933694 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:34.934244 #1245] DEBUG -- : runnerstats.rb:38:in `validated' Incrementing validated stat
D, [2012-06-26T10:11:34.934653 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:34.936747 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:34.937484 #1245] DEBUG -- : base.rb:135:in `validate_filter?' Passing based on identity
D, [2012-06-26T10:11:34.938001 #1245] DEBUG -- : base.rb:110:in `validate_filter?' Passing based on agent stickshift
D, [2012-06-26T10:11:34.940314 #1245] DEBUG -- : base.rb:146:in `validate_filter?' Message passed the filter checks
D, [2012-06-26T10:11:34.940780 #1245] DEBUG -- : runnerstats.rb:26:in `passed' Incrementing passed stat
D, [2012-06-26T10:11:34.941269 #1245] DEBUG -- : runner.rb:77:in `agentmsg' Handling message for agent 'stickshift' on collective 'mcollective'
D, [2012-06-26T10:11:34.941687 #1245] DEBUG -- : agents.rb:130:in `dispatch' Dispatching a message to agent stickshift
D, [2012-06-26T10:11:34.942360 #1245] DEBUG -- : pluginmanager.rb:88:in `[]' Returning new plugin stickshift_agent with class MCollective::Agent::Stickshift
D, [2012-06-26T10:11:34.942551 #1245] DEBUG -- : qpid.rb:83:in `receive' Waiting for a message...
D, [2012-06-26T10:11:34.943662 #1245] DEBUG -- : ddl.rb:59:in `findddlfile' Found stickshift ddl at /usr/libexec/mcollective/mcollective/agent/stickshift.ddl
D, [2012-06-26T10:11:34.947179 #1245] DEBUG -- : agent.rb:64:in `initialize' Failed to load DDL for agent: RuntimeError: /usr/lib/ruby/site_ruby/1.8/mcollective/rpc/ddl.rb:131:in `input': Input type :string needs a :validation argument
D, [2012-06-26T10:11:34.953798 #1245] DEBUG -- : stickshift.rb:271:in `cartridge_do_action' cartridge_do_action call / request = #<MCollective::RPC::Request:0x7fe5f0d42640
 @action="cartridge_do",
 @agent="stickshift",
 @caller="uid=48",
 @data=
  {:process_results=>true,
   :args=>"'rb' 'jhou' '70544b04c90546fc869075355c56789a'",
   :action=>"deconfigure",
   :cartridge=>"embedded/postgresql-8.4"},
 @sender="broker.example.com",
 @time=1340719894,
 @uniqid="dde107376b15268334336806201b4ea4">

D, [2012-06-26T10:11:34.954871 #1245] DEBUG -- : stickshift.rb:272:in `cartridge_do_action' cartridge_do_action validation = embedded/postgresql-8.4 deconfigure 'rb' 'jhou' '70544b04c90546fc869075355c56789a'
D, [2012-06-26T10:11:35.822688 #1245] DEBUG -- : stickshift.rb:327:in `cartridge_do_action' cartridge_do_action (0)
------
runcon: /var/lib/stickshift/70544b04c90546fc869075355c56789a//postgresql-8.4/rb_postgresql_ctl.sh: No such file or directory

------)
D, [2012-06-26T10:11:35.823763 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:35.824478 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin security_plugin with class MCollective::Security::Psk
D, [2012-06-26T10:11:35.825158 #1245] DEBUG -- : base.rb:161:in `create_reply' Encoded a message for request dde107376b15268334336806201b4ea4
D, [2012-06-26T10:11:35.825998 #1245] DEBUG -- : pluginmanager.rb:83:in `[]' Returning cached plugin connector_plugin with class MCollective::Connector::Qpid
D, [2012-06-26T10:11:35.827573 #1245] DEBUG -- : qpid.rb:105:in `publish' Publish #<MCollective::Message:0x7fe5f0d0be38 @request=#<MCollective::Message:0x7fe5f0d7c598 @expected_msgid=nil, @requestid="dde107376b15268334336806201b4ea4", @collective="mcollective", @type=:request, @base64=false, @message=#<Cqpid::Message:0x7fe5f0d7cf70>, @payload={:collective=>"mcollective", :filter=>{"fact"=>[], "identity"=>["broker.example.com"], "agent"=>["stickshift"], "cf_class"=>[], "compound"=>[]}, :agent=>"stickshift", :body=>{:agent=>"stickshift", :data=>{:process_results=>true, :args=>"'rb' 'jhou' '70544b04c90546fc869075355c56789a'", :action=>"deconfigure", :cartridge=>"embedded/postgresql-8.4"}, :action=>"cartridge_do", :caller=>"uid=48"}, :senderid=>"broker.example.com", :hash=>"776bbe0156b7e65d4d9f2728dcfc4be6", :callerid=>"uid=48", :requestid=>"dde107376b15268334336806201b4ea4", :msgtime=>1340719894, :ttl=>60}, @agent="stickshift", @options={}, @reply_to=nil, @msgtime=1340719894, @ttl=60, @filter={"fact"=>[], "identity"=>["broker.example.com"], "agent"=>["stickshift"], "cf_class"=>[], "compound"=>[]}, @discovered_hosts=nil, @validated=true, @headers={}>, @expected_msgid=nil, @requestid="dde107376b15268334336806201b4ea4", @collective="mcollective", @type=:reply, @base64=false, @message=nil, @payload="\004\b{\v:\tbody\"\001\275\004\b{\b:\017statuscodei\000:\016statusmsg\"\aOK:\tdata{\a:\rexitcodei\000:\voutput\"\001}runcon: /var/lib/stickshift/70544b04c90546fc869075355c56789a//postgresql-8.4/rb_postgresql_ctl.sh: No such file or directory\n:\rsenderid\"\027broker.example.com:\thash\"%5e039099c0be157091bd1d3d516315f9:\020senderagent\"\017stickshift:\016requestid\"%dde107376b15268334336806201b4ea4:\fmsgtimel+\a\027\303\351O", @agent="stickshift", @options={}, @reply_to=nil, @msgtime=0, @ttl=60, @filter={"fact"=>[], "identity"=>[], "agent"=>[], "compound"=>[], "cf_class"=>[]}, @discovered_hosts=nil, @validated=false, @headers={}>
D, [2012-06-26T10:11:35.828317 #1245] DEBUG -- : qpid.rb:109:in `publish' in send with mcollective.stickshift.reply
D, [2012-06-26T10:11:35.828769 #1245] DEBUG -- : qpid.rb:110:in `publish' Sending a message to target 'mcollective.stickshift.reply'
D, [2012-06-26T10:11:35.830061 #1245] DEBUG -- : qpid.rb:117:in `publish' Message sent
D, [2012-06-26T10:11:35.830786 #1245] DEBUG -- : runnerstats.rb:56:in `sent' Incrementing replies stat
Comment 1 John Poelstra 2012-07-09 11:59:34 EDT
discussed at triage meeting on 2012-07-09 and this functionality is not supported on Fedora

Note You need to log in before you can comment on or make changes to this bug.